// alarm.h
// cRadio (Carl Radio) v0.9 , Carl van Schaik
// e-mail carl@leg.uct.ac.za

#ifndef ALARM_H
#define ALARM_H

#include <qobject.h>
#include <qdatetm.h> 

class alarmClock : public QObject
{
  Q_OBJECT
    
 public:
  alarmClock(QObject *parent = 0, const char *name = 0);

  void setAlarm(int Hr,int Min);

 public slots:
  void toggle();

 signals:
  void ring();
  void onOff();

 protected:
  int hour,
    minute,
    state,
    timer;

  QTime stopTime;

  void timerEvent( QTimerEvent * );
};

#endif
