/*
 * main_window.h
 * Copyright (C) 2000 Fabio Checconi <fchecconi@libero.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef _MAIN_WINDOW_H
#define _MAIN_WINDOW_H

gboolean on_main_window_delete_event ( GtkWidget *widget, GdkEvent *event, gpointer user_data );
void on_exit_menu_activate ( GtkMenuItem *menuitem, gpointer user_data );
void on_preferences_menu_activate ( GtkMenuItem *menuitem, gpointer user_data );
void on_about_menu_activate ( GtkMenuItem *menuitem, gpointer user_data );
void on_string_clicked ( GtkButton *button, gpointer user_data );
gboolean on_drawingarea_configure_event ( GtkWidget *widget, GdkEventConfigure *event, gpointer user_data );
gboolean on_drawingarea_expose_event ( GtkWidget *widget, GdkEventExpose *event, gpointer user_data );
GtkWidget *create_main_window ( void );

#endif








