Summary: library to control fm tuner cards
Name: libradio
Version: 0.3.5
Release: 1
Copyright: LGPL
Group: Development/Libraries
Packager: Dan Johnson <dj51d@progworks.net>
Source: libradio-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
This is a simple library that proivides a wrapper to the Video For Linux API
so that developers wishing to use an FM tuner card do not need to use the
IOCTL calls.  Libradio also comes with a demo program, qdt, the quick and dirty
tuner.
%prep
%setup
%build
make all
%install
install -d $RPM_BUILD_ROOT/usr/bin
install -m 755 qdt $RPM_BUILD_ROOT/usr/bin/qdt
install -d $RPM_BUILD_ROOT/usr/lib
install -m 644 libradio.a $RPM_BUILD_ROOT/usr/lib/libradio.a
install -d $RPM_BUILD_ROOT/usr/include
install -m 644 radio.h $RPM_BUILD_ROOT/usr/include/radio.h
%clean
rm -rf $RPM_BUILD_ROOT
%files
%defattr (-,root,root)
%doc COPYING COPYING.LIB README libradio.lsm
%attr(0755,root,root)/usr/bin/qdt
%attr(0644,root,root)/usr/lib/libradio.a
%attr(0644,root,root)/usr/include/radio.h

